/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/@DIRECTORY/include/Parameters.h"

namespace morpheo {
namespace behavioural {
@NAMESPACE_BEGIN

  Parameters::Parameters ()
  {
    log_printf(FUNC,@COMPONENT,"Parameters","Begin");
    test();
    log_printf(FUNC,@COMPONENT,"Parameters","End");
  };
  
  Parameters::Parameters (Parameters & param)
  {
    log_printf(FUNC,@COMPONENT,"Parameters","Begin");
    test();
    log_printf(FUNC,@COMPONENT,"Parameters","End");
  };

  Parameters::~Parameters () 
  {
    log_printf(FUNC,@COMPONENT,"~Parameters","Begin");
    log_printf(FUNC,@COMPONENT,"~Parameters","End");
  };

@NAMESPACE_END
}; // end namespace behavioural
}; // end namespace morpheo              
